@if (customMapButtonComponents && customMapButtonComponents.length > 0) {
  <div class="button-container">
    <ng-container *ngFor="let component of customMapButtonComponents">
      <ng-container *ngComponentOutlet="component"></ng-container>
    </ng-container>
  </div>
}
